#! /bin/sh
#========================================================================
# ymdadd adds days to yyyymmdd
# usage ymdadd 19980801 { ,-}4
# will add negative number of days to a date
#
# Author: Mo Budlong <mo.budlong@sunworld.com>
#
# Source: SunWorld Online UNIX 101 columns:
#	http://www.sunworld.com/sunworldonline/swol-11-1998/swol-11-unix101.html
#	http://www.sunworld.com/swol-12-1998/swol-12-unix101.html?1201a
#	http://www.sunworld.com/swol-01-1999/swol-01-unix101.html?0111a
#
# [13-Jan-1999]
#========================================================================

# if only one argument exists, it assumes that the date is being piped in
if [ X$1 = X ]
then
        read ymd dif
elif [ X$2 = X ]
then
        dif=$1
        read ymd
else
        ymd=$1
        dif=$2
fi

# echo the date through pipes to convert it to a Julian format
# complete the addition of the days and convert it back to
# 8-digit format
echo $ymd | ymd2yd | ydadd $dif | yd2ymd
